List tracked accounts
GET
/accounts
const url = 'https://api.warmup.social/accounts?platform=instagram&sort=platform&dir=asc';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.warmup.social/accounts?platform=instagram&sort=platform&dir=asc' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”platform
string
Example
instagramComma-separated network filter, e.g. instagram or instagram,tiktok. Invalid values are ignored.
sort
string
Sort key. Invalid values are ignored. Without sort, own accounts come first, then by date added.
dir
string
Sort direction. Invalid values are ignored.
Responses
Section titled “Responses”Own and competitor accounts of the user.
Media typeapplication/json
One page of results.
object
rows
required
Array<object>
object
platform
required
string
username
required
string
displayName
string
avatarUrl
string
biography
string
bioLinks
Array<object>
object
title
required
string
url
required
string
latestFollowers
integer
followersApproximate
True for Facebook — the network rounds follower counts. Absent for other networks.
boolean
latestFollowing
integer
latestPostsCount
integer
isVerified
boolean
lastPostAt
string format: date-time
lastUpdatedAt
Last successful refresh of the profile or posts.
string format: date-time
role
string
label
string
status
required
string
statusReason
string
total
required
integer
page
required
integer
pageSize
required
integer
Example
{ "rows": [ { "platform": "instagram", "username": "chillax_nails", "role": "own", "status": "pending" } ]}The Bearer token is missing or invalid.
Media typeapplication/json
object
statusCode
required
integer
message
required
One of:
string
Array<string>
object
key
additional properties
any
error
string
key
additional properties
any
Example
{ "statusCode": 400, "message": "Invalid request", "error": "Bad Request"}